#!/bin/bash
USER="$1"
getent passwd "$USER" >/dev/null || exit 1

created=no
for vpn in 1 2; do
  file=/etc/NetworkManager/system-connections/HYVPN$vpn-$USER
  [ -e "$file" ] && continue
  created=yes
  cat << EOF > $file
[connection]
id=HY VPN $vpn ($USER)
uuid=$(uuidgen)
type=vpn
autoconnect=false
permissions=user:$USER:;
secondaries=
timestamp=$(date +%s)

[vpn]
connection-type=password
password-flags=1
remote=openvpn$vpn.fe.helsinki.fi
comp-lzo=yes
dev-type=tap
username=$USER
ca=/etc/cubbli/HY-vpn-CA.pem
verify-x509-name=name:openvpn$vpn.fe.helsinki.fi
service-type=org.freedesktop.NetworkManager.openvpn

[ipv4]
dns-search=
method=auto
ignore-auto-routes=true
$( case $vpn in 
1)
  echo route1=128.0.0.0/1,128.214.5.1,50
  echo route2=0.0.0.0/1,128.214.5.1,50
  ;;
2)
  echo route1=128.0.0.0/1,128.214.129.1,50
  echo route2=0.0.0.0/1,128.214.129.1,50
  ;;
esac
)

[ipv6]
addr-gen-mode=stable-privacy
dns-search=
ip6-privacy=0
method=auto
EOF
done

if [ $created = yes ]; then
  logger -t "$0" "Loading newly created openvpn configuration for $USER"
  nmcli c reload
else
  logger -t "$0" "Openvpn configuration for $USER exists."
fi

